com.h3c.util.persistence.cassandra.entitymgr

## Enum CassDataTypes.BasicType

- java.lang.Object
- - java.lang.Enum<CassDataTypes.BasicType>
  - - com.h3c.util.persistence.cassandra.entitymgr.CassDataTypes.BasicType

- All Implemented Interfaces:
    CassDataTypes, Serializable, Comparable<CassDataTypes.BasicType>
  Enclosing interface:
    CassDataTypes

      public static enum CassDataTypes.BasicType
      extends Enum<CassDataTypes.BasicType>
      implements CassDataTypes

  Basic data type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.h3c.util.persistence.cassandra.entitymgr.CassDataTypes

      `CassDataTypes.BasicType, CassDataTypes.CompositeType`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII` (CQL Name: ascii) US-ASCII character string.
    `BOOLEAN` (CQL Name: boolean) true or false.
    `BYTES` (CQL Name: blob) Arbitrary hexadecimal bytes (no validation).
    `COUNTER_COLUMN` (CQL Name: counter) Distributed counter value (8-byte long).
    `DATE` (CQL Name: timestamp) Date plus time, encoded as 8 bytes since epoch.
    `DECIMAL` (CQL Name: decimal) Variable-precision decimal.
    `DOUBLE` (CQL Name: double) 8-byte floating point.
    `FLOAT` (CQL Name: float) 4-byte floating point.
    `INTEGER` (CQL Name: varint) Arbitrary-precision integer.
    `LONG` (CQL Name: int, bigint) 8-byte long.
    `UTF8` (CQL Name: text, varchar) UTF-8 encoded string.
    `UUID` (CQL Name: uuid) Type 1 or type 4 UUID.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CassDataTypes.BasicType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CassDataTypes.BasicType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.util.persistence.cassandra.entitymgr.CassDataTypes

      `getTypeClass`

- - ### Enum Constant Detail

    - #### BYTES

          public static final CassDataTypes.BasicType BYTES

      (CQL Name: blob) Arbitrary hexadecimal bytes (no validation).

    - #### ASCII

          public static final CassDataTypes.BasicType ASCII

      (CQL Name: ascii) US-ASCII character string.

    - #### UTF8

          public static final CassDataTypes.BasicType UTF8

      (CQL Name: text, varchar) UTF-8 encoded string.

    - #### INTEGER

          public static final CassDataTypes.BasicType INTEGER

      (CQL Name: varint) Arbitrary-precision integer.

    - #### LONG

          public static final CassDataTypes.BasicType LONG

      (CQL Name: int, bigint) 8-byte long.

    - #### UUID

          public static final CassDataTypes.BasicType UUID

      (CQL Name: uuid) Type 1 or type 4 UUID.

    - #### DATE

          public static final CassDataTypes.BasicType DATE

      (CQL Name: timestamp) Date plus time, encoded as 8 bytes since epoch.

    - #### BOOLEAN

          public static final CassDataTypes.BasicType BOOLEAN

      (CQL Name: boolean) true or false.

    - #### FLOAT

          public static final CassDataTypes.BasicType FLOAT

      (CQL Name: float) 4-byte floating point.

    - #### DOUBLE

          public static final CassDataTypes.BasicType DOUBLE

      (CQL Name: double) 8-byte floating point.

    - #### DECIMAL

          public static final CassDataTypes.BasicType DECIMAL

      (CQL Name: decimal) Variable-precision decimal.

    - #### COUNTER_COLUMN

          public static final CassDataTypes.BasicType COUNTER_COLUMN

      (CQL Name: counter) Distributed counter value (8-byte long).

  - ### Method Detail

    - #### values

          public static CassDataTypes.BasicType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CassDataTypes.BasicType c : CassDataTypes.BasicType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CassDataTypes.BasicType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.